import React from 'react';
import useField from '../../useField';
import withCondition from '../../withCondition';
import { text } from '../../../../../fields/validations';
import TextInput from './Input';
const Text = (props) => {
    const { path: pathFromProps, name, required, validate = text, label, admin: { placeholder, readOnly, style, className, width, description, condition, } = {}, } = props;
    const path = pathFromProps || name;
    const field = useField({
        path,
        validate,
        enableDebouncedValue: true,
        condition,
    });
    const { value, showError, setValue, errorMessage, } = field;
    return (React.createElement(TextInput, { path: path, name: name, onChange: (e) => {
            setValue(e.target.value);
        }, showError: showError, errorMessage: errorMessage, required: required, label: label, value: value, placeholder: placeholder, readOnly: readOnly, style: style, className: className, width: width, description: description }));
};
export default withCondition(Text);
